blob: 7f9c68074cc4bfc14f82fa4f5cf8bfe2b4653bd1 [file] [log] [blame]
<?xml version="1.0" encoding="UTF-8"?>
<feature
id="org.eclipse.orbit.releng.recipes.feature.aggregation"
label="%featureName"
version="1.0.0.qualifier"
provider-name="%providerName">
<description>
%description
</description>
<copyright>
%copyright
</copyright>
<license>
%license
</license>
<!-- CommonMark -->
<plugin id="com.atlassian.commonmark" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-gfm-strikethrough" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-gfm-tables" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-heading-anchor" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-image-attributes" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-ins" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-task-list-items" version="0.15.1.qualifier"/>
<plugin id="com.atlassian.commonmark-yaml" version="0.15.1.qualifier"/>
<plugin id="com.google.guava" version="27.1.0.qualifier"/>
<plugin id="com.google.guava" version="30.1.0.qualifier"/>
<plugin id="com.google.gson" version="2.7.0.qualifier"/>
<plugin id="com.google.gson" version="2.8.6.qualifier"/>
<plugin id="com.google.gdata" version="1.47.1.qualifier"/>
<plugin id="com.google.javascript" version="0.0.20160315.qualifier"/>
<plugin id="com.google.flogger" version="0.1.0.qualifier"/>
<plugin id="com.google.flogger.systembackend" version="0.1.0.qualifier"/>
<plugin id="com.google.flogger.testing" version="0.1.0.qualifier"/>
<plugin id="com.google.oauth-client" version="1.30.6.qualifier"/>
<plugin id="com.google.oauth-client-jetty" version="1.30.6.qualifier"/>
<plugin id="com.google.oauth-client-java6" version="1.30.6.qualifier"/>
<plugin id="com.google.auth.oauth2-http" version="0.20.0.qualifier"/>
<plugin id="com.google.api.client-auth" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-auth-oauth2" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-http" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-json" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-escape" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-util" version="1.2.3.qualifier"/>
<plugin id="com.google.api.client-repackaged-com-google-common-base" version="1.2.3.qualifier"/>
<plugin id="com.google.auth.google-auth-library-credentials" version="0.20.0.qualifier"/>
<plugin id="com.google.auto.value.auto-value-annotations" version="1.7.0.qualifier"/>
<plugin id="com.google.http-client.google-http-client" version="1.34.2.qualifier"/>
<plugin id="com.google.http-client.google-http-client-jackson2" version="1.34.2.qualifier"/>
<plugin id="com.google.j2objc.j2objc-annotations" version="1.3.0.qualifier"/>
<plugin id="io.grpc.grpc-context" version="1.29.0.qualifier"/>
<plugin id="io.opencensus.opencensus-api" version="0.26.0.qualifier"/>
<plugin id="io.opencensus.opencensus-contrib-http-util" version="0.26.0.qualifier"/>
<plugin id="com.ibm.icu" version="67.1.0.qualifier"/>
<plugin id="com.jcraft.jsch" version="0.1.55.qualifier"/>
<plugin id="org.apache.ant" version="1.10.9.qualifier"/>
<plugin id="org.apache.batik.anim" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.bridge" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.codec" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.constants" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.css" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.dom" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.dom.svg" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.ext.awt" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.extension" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.gvt" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.i18n" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.parser" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.pdf" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.script" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.svggen" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.swing" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.transcoder" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.util" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.util.gui" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.xml" version="1.9.1.qualifier"/>
<plugin id="org.apache.batik.constants" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.css" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.i18n" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.util" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.xml" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.ext" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.awt.util" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.parser" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.gvt" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.svggen" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.dom" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.dom.svg" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.anim" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.script" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.bridge" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.transcoder" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.codec" version="1.13.0.qualifier"/>
<plugin id="org.apache.batik.shared.resources" version="1.13.0.qualifier"/>
<plugin id="org.apache.xmlgraphics" version="2.4.0.qualifier"/>
<plugin id="org.apache.commons.cli" version="1.4.0.qualifier"/>
<plugin id="org.apache.commons.compress" version="1.19.0.qualifier"/>
<plugin id="org.apache.commons.collections4" version="4.4.0.qualifier"/>
<plugin id="org.apache.felix.gogo.command" version="1.1.2.qualifier"/>
<plugin id="org.apache.felix.gogo.runtime" version="1.1.4.qualifier"/>
<plugin id="org.apache.felix.gogo.shell" version="1.1.4.qualifier"/>
<plugin id="org.apache.felix.scr" version="2.1.24.qualifier"/>
<plugin id="org.apache.xalan" version="2.7.2.qualifier"/>
<plugin id="org.apache.xerces" version="2.12.1.qualifier"/>
<plugin id="org.apache.xmlbeans" version="3.1.0.qualifier"/>
<plugin id="org.apache.santuario.xmlsec" version="2.2.0.qualifier"/>
<plugin id="com.cronutils" version="5.0.5.qualifier"/>
<plugin id="org.hsqldb" version="2.2.9.qualifier"/>
<plugin id="net.jini" version="2.1.0.qualifier"/>
<!-- HTTPComponents -->
<plugin id="org.apache.httpcomponents.httpcore-nio" version="4.4.5.qualifier"/>
<plugin id="org.apache.httpcomponents.httpasyncclient" version="4.1.3.qualifier"/>
<plugin id="org.apache.httpcomponents.httpcore" version="4.4.14.qualifier"/>
<plugin id="org.apache.httpcomponents.httpclient" version="4.5.13.qualifier"/>
<plugin id="org.apache.httpcomponents.httpclient.win" os="win32" version="4.5.13.qualifier"/>
<plugin id="org.apache.httpcomponents.core5.httpcore5" version="5.0.2.qualifier"/>
<plugin id="org.conscrypt.conscrypt-openjdk-uber" version="2.5.1.qualifier"/>"
<plugin id="org.apache.httpcomponents.core5.httpcore5-h2" version="5.0.2.qualifier"/>
<plugin id="org.apache.httpcomponents.client5.httpclient5" version="5.0.2.qualifier"/>
<plugin id="org.apache.lucene.core" version="7.5.0.qualifier"/>
<plugin id="org.apache.lucene.analyzers-common" version="7.5.0.qualifier"/>
<plugin id="org.apache.lucene.analyzers-smartcn" version="7.5.0.qualifier"/>
<plugin id="org.apache.lucene.misc" version="7.5.0.qualifier"/>
<plugin id="org.apache.lucene.queryparser" version="7.5.0.qualifier"/>
<plugin id="org.apache.lucene.core" version="8.4.1.qualifier"/>
<plugin id="org.apache.lucene.analyzers-common" version="8.4.1.qualifier"/>
<plugin id="org.apache.lucene.analyzers-smartcn" version="8.4.1.qualifier"/>
<!--<plugin id="org.apache.lucene.queryparser" version="8.0.0.qualifier"/>-->
<!--<plugin id="org.apache.lucene.misc" version="8.0.0.qualifier"/>-->
<!-- Mina sshd -->
<plugin id="net.i2p.crypto.eddsa" version="0.3.0.qualifier"/>
<plugin id="org.apache.sshd.osgi" version="2.6.0.qualifier"/>
<plugin id="org.apache.sshd.sftp" version="2.6.0.qualifier"/>
<!-- Logging -->
<plugin id="org.slf4j.api" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.apis.jcl" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.apis.log4j" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.binding.log4j12" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.binding.nop" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.binding.simple" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.bridge.jul" version="1.7.30.qualifier"/>
<plugin id="org.slf4j.ext" version="1.7.30.qualifier"/>
<plugin id="ch.qos.logback.core" version="1.2.3.qualifier"/>
<plugin id="ch.qos.logback.classic" version="1.2.3.qualifier"/>
<plugin id="ch.qos.logback.slf4j" version="1.2.3.qualifier"/>
<plugin id="org.jboss.logging" version="3.3.2.qualifier"/>
<plugin id="org.ejml.core" version="0.29.0.qualifier"/>
<plugin id="org.ejml.dense64" version="0.29.0.qualifier"/>
<plugin id="org.ejml.denseC64" version="0.29.0.qualifier"/>
<plugin id="org.ejml.equation" version="0.29.0.qualifier"/>
<plugin id="org.ejml.experimental" version="0.29.0.qualifier"/>
<plugin id="org.ejml.simple" version="0.29.0.qualifier"/>
<plugin id="org.ejml.ejml-all" version="0.38.0.qualifier"/>
<plugin id="javaewah" version="1.1.7.qualifier"/>
<plugin id="org.antlr.runtime" version="3.5.2.qualifier"/>
<plugin id="org.antlr.runtime" version="4.5.1.qualifier"/>
<plugin id="org.antlr.runtime" version="4.7.1.qualifier"/>
<plugin id="org.antlr.runtime" version="4.7.2.qualifier"/>
<plugin id="org.freemarker" version="2.3.22.qualifier"/>
<plugin id="org.apache.logging.log4j" version="2.8.2.qualifier"/>
<!-- ASM -->
<plugin id="org.objectweb.asm" version="8.0.1.qualifier"/>
<plugin id="org.objectweb.asm.analysis" version="8.0.1.qualifier"/>
<plugin id="org.objectweb.asm.commons" version="8.0.1.qualifier"/>
<plugin id="org.objectweb.asm.tree" version="8.0.1.qualifier"/>
<plugin id="org.objectweb.asm.util" version="8.0.1.qualifier"/>
<plugin id="org.objectweb.asm" version="9.1.0.qualifier"/>
<plugin id="org.objectweb.asm.analysis" version="9.1.0.qualifier"/>
<plugin id="org.objectweb.asm.commons" version="9.1.0.qualifier"/>
<plugin id="org.objectweb.asm.tree" version="9.1.0.qualifier"/>
<plugin id="org.objectweb.asm.util" version="9.1.0.qualifier"/>
<plugin id="org.assertj" version="3.14.0.qualifier"/>
<plugin id="org.apache.commons.codec" version="1.14.0.qualifier"/>
<plugin id="org.apache.commons.logging" version="1.2.0.qualifier"/>
<plugin id="org.apache.commons.csv" version="1.8.0.qualifier"/>
<plugin id="org.apache.commons.fileupload" version="1.3.2.qualifier"/>
<plugin id="org.apache.commons.io" version="2.6.0.qualifier"/>
<plugin id="org.apache.commons.math3" version="3.6.1.qualifier"/>
<plugin id="org.apache.jclouds.api.cloudwatch" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.api.ec2" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.api.openstack-cinder" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.api.openstack-keystone" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.api.openstack-nova" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.api.sts" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.common.openstack-common" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.driver.jclouds-slf4j" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.jclouds-blobstore" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.jclouds-compute" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.jclouds-core" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.jclouds-scriptbuilder" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.labs.docker" version="1.8.0.qualifier"/>
<plugin id="org.apache.jclouds.labs.openstack-neutron" version="1.8.0.qualifier"/>
<plugin id="org.apache.onami.configuration" version="6.3.0.qualifier"/>
<plugin id="org.apache.pdfbox.fontbox" version="2.0.6.qualifier"/>
<plugin id="org.apache.pdfbox.preflight" version="2.0.6.qualifier"/>
<plugin id="org.apache.pdfbox.xmpbox" version="2.0.6.qualifier"/>
<plugin id="org.apache.pdfbox" version="2.0.6.qualifier"/>
<plugin id="org.apache.poi" version="4.1.1.qualifier"/>
<plugin id="org.apache.poi.ooxml" version="4.1.1.qualifier"/>
<plugin id="org.apache.poi.ooxml.schemas" version="4.1.1.qualifier"/>
<plugin id="org.apache.xmlrpc.client" version="3.1.3.qualifier"/>
<plugin id="org.apache.xmlrpc.common" version="3.1.3.qualifier"/>
<plugin id="org.apache.xmlrpc.server" version="3.1.3.qualifier"/>
<plugin id="org.apache.ws.commons.util" version="1.0.2.qualifier"/>
<plugin id="org.apache.wsil4j" version="1.0.0.qualifier"/>
<plugin id="org.bouncycastle.bcpg" version="1.65.0.qualifier"/>
<plugin id="org.bouncycastle.bcpkix" version="1.65.0.qualifier"/>
<plugin id="org.bouncycastle.bcprov" version="1.65.01.qualifier"/>
<plugin id="org.eclipse.orbit.mongodb" version="3.2.2.qualifier"/>
<plugin id="io.github.classgraph" version="4.8.35.qualifier"/>
<plugin id="org.kohsuke.args4j" version="2.33.0.qualifier"/>
<!-- HK2 -->
<plugin id="org.glassfish.hk2.utils" version="2.5.0.qualifier"/>
<plugin id="org.glassfish.hk2.api" version="2.5.0.qualifier"/>
<plugin id="org.glassfish.hk2.locator" version="2.5.0.qualifier"/>
<plugin id="org.glassfish.hk2.osgi-resource-locator" version="2.5.0.qualifier"/>
<plugin id="org.glassfish.hk2.utils" version="2.6.1.qualifier"/>
<plugin id="org.glassfish.hk2.api" version="2.6.1.qualifier"/>
<plugin id="org.glassfish.hk2.locator" version="2.6.1.qualifier"/>
<plugin id="org.glassfish.hk2.osgi-resource-locator" version="1.0.3.qualifier"/>
<!-- Jersey -->
<plugin id="org.glassfish.jersey.apache.connector" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.containers.servlet.core" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.containers.servlet" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.core.jersey-client" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.core.jersey-common" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.core.jersey-server" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.ext.entityfiltering" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.inject.jersey-hk2" version="2.30.1.qualifier"/>
<plugin id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.30.1.qualifier"/>
<!-- JNR -->
<plugin id="com.github.jnr.constants" version="0.9.15.qualifier"/>
<plugin id="com.github.jnr.enxio" version="0.25.0.qualifier"/>
<plugin id="com.github.jnr.ffi" version="2.1.12.qualifier"/>
<plugin id="com.github.jnr.jffi" version="1.2.23.qualifier"/>
<plugin id="com.github.jnr.jffi.native" version="1.2.23.qualifier"/>
<plugin id="com.github.jnr.posix" version="3.0.54.qualifier"/>
<plugin id="com.github.jnr.unixsocket" version="0.28.0.qualifier"/>
<plugin id="com.github.jnr.x86asm" version="1.0.2.qualifier"/>
<!-- Jackson -->
<plugin id="com.fasterxml.jackson.core.jackson-databind" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.datatype.jackson-datatype-guava" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.core.jackson-annotations" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.core.jackson-core" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.12.1.qualifier"/>
<plugin id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.12.1.qualifier"/>
<!-- Docker client -->
<plugin id="org.mandas.docker-client" version="3.2.1.qualifier"/>
<!-- JaCoCo -->
<plugin id="org.jacoco.agent" version="0.8.6.qualifier"/>
<plugin id="org.jacoco.core" version="0.8.6.qualifier"/>
<plugin id="org.jacoco.report" version="0.8.6.qualifier"/>
<plugin id="org.jcodings" version="1.0.18.qualifier"/>
<plugin id="org.joni" version="2.1.11.qualifier"/>
<plugin id="org.tukaani.xz" version="1.8.0.qualifier"/>
<!-- JNA -->
<plugin id="com.sun.jna" version="4.1.0.qualifier"/>
<plugin id="com.sun.jna.platform" version="4.1.0.qualifier"/>
<plugin id="com.sun.jna" version="4.5.1.qualifier"/>
<plugin id="com.sun.jna.platform" version="4.5.1.qualifier"/>
<plugin id="com.sun.jna" version="5.6.0.qualifier"/>
<plugin id="com.sun.jna.platform" version="5.6.0.qualifier"/>
<!-- OSHI -->
<plugin id="com.github.oshi.oshi-core" version="3.8.0.qualifier"/>
<!-- Unirest Java -->
<plugin id="com.konghq.unirest-java" version="3.4.2.qualifier"/>
<!-- virtuald -->
<plugin id="com.github.virtuald.curvesapi" version="1.6.0.qualifier"/>
<!-- JSoup -->
<plugin id="org.jsoup" version="1.8.3.qualifier"/>
<!-- Maven Resolver (ex-Eclipse Aether) -->
<plugin id="org.apache.maven.resolver.api" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.connector.basic" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.impl" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.spi" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.transport.file" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.transport.http" version="1.0.3.qualifier"/>
<plugin id="org.apache.maven.resolver.util" version="1.0.3.qualifier"/>
<plugin id="org.junit" version="4.13.0.qualifier"/>
<!-- JUnit 5.7.0 -->
<plugin id="org.junit.jupiter.api" version="5.7.1.qualifier"/>
<plugin id="org.junit.jupiter.engine" version="5.7.1.qualifier"/>
<plugin id="org.junit.jupiter.migrationsupport" version="5.7.1.qualifier"/>
<plugin id="org.junit.jupiter.params" version="5.7.1.qualifier"/>
<plugin id="org.junit.platform.commons" version="1.7.1.qualifier"/>
<plugin id="org.junit.platform.engine" version="1.7.1.qualifier"/>
<plugin id="org.junit.platform.launcher" version="1.7.1.qualifier"/>
<plugin id="org.junit.platform.runner" version="1.7.1.qualifier"/>
<plugin id="org.junit.platform.suite.api" version="1.7.1.qualifier"/>
<plugin id="org.junit.vintage.engine" version="5.7.1.qualifier"/>
<plugin id="org.opentest4j" version="1.2.0.qualifier"/>
<plugin id="org.apiguardian" version="1.1.0.qualifier"/>
<!-- Hamcrest -->
<plugin id="org.hamcrest.core" version="1.3.0.qualifier"/>
<plugin id="org.hamcrest.library" version="1.3.0.qualifier"/>
<!-- XML APIs -->
<plugin id="org.dom4j" version="1.6.1.qualifier"/>
<plugin id="org.dom4j" version="2.1.1.qualifier"/>
<plugin id="org.jaxen" version="1.1.6.qualifier"/>
<plugin id="org.jdom2" version="2.0.6.qualifier"/>
<!-- Unit API 1.0 -->
<plugin id="javax.measure.unit-api" version="1.0.0.qualifier"/>
<!-- DRMAA -->
<plugin id="com.sun.grid.drmaa" version="1.0.0.qualifier"/>
<plugin id="org.ggf.drmaa" version="1.0.0.qualifier"/>
<!-- Mockito -->
<plugin id="org.mockito" version="2.13.0.qualifier"/>
<plugin id="org.mockito" version="2.23.0.qualifier"/>
<plugin id="net.bytebuddy.byte-buddy" version="1.7.9.qualifier"/>
<plugin id="net.bytebuddy.byte-buddy-agent" version="1.7.9.qualifier"/>
<plugin id="net.bytebuddy.byte-buddy" version="1.9.0.qualifier"/>
<plugin id="net.bytebuddy.byte-buddy-agent" version="1.9.0.qualifier"/>
<plugin id="org.objenesis" version="2.6.0.qualifier"/>
<plugin id="org.mozilla.javascript" version="1.7.10.qualifier"/>
<!-- java_cup-->
<plugin id="java_cup-runtime" version="0.11.20150326.qualifier" />
<plugin id="java_cup" version="0.11.20150326.qualifier" />
<!-- Reactive Streams -->
<plugin id="org.reactivestreams" version="1.0.2.qualifier" />
<!-- GraphQL -->
<plugin id="com.graphql.java.dataloader" version="2.1.1.qualifier" />
<plugin id="com.graphql.java" version="11.0.0.qualifier" />
<!-- GlazedLists -->
<plugin id="ca.odell.glazedlists" version="1.11.0.qualifier" />
<!-- javax -->
<plugin id="jakarta.activation" version="1.2.2.qualifier" />
<plugin id="jakarta.activation" version="2.0.0.qualifier" />
<plugin id="jakarta.el" version="4.0.0.qualifier" />
<plugin id="jakarta.servlet" version="5.0.0.qualifier" />
<plugin id="jakarta.servlet.jsp" version="3.0.0.qualifier" />
<plugin id="jakarta.xml.bind" version="2.3.3.qualifier" />
<plugin id="javax.activation" version="1.2.2.qualifier" />
<plugin id="javax.activation" version="2.0.0.qualifier" />
<plugin id="javax.annotation" version="1.3.5.qualifier" />
<plugin id="javax.validation" version="1.1.0.qualifier" />
<plugin id="jakarta.websocket" version="2.0.0.qualifier" />
<plugin id="javax.ws.rs" version="2.1.6.qualifier" />
<!-- jaxb -->
<plugin id="com.sun.xml.bind" version="2.2.0.qualifier" />
<plugin id="com.sun.xml.bind" version="2.3.3.qualifier" />
<!-- immutables -->
<plugin id="org.immutables.value" version="2.8.3.qualifier" />
<plugin id="net.sourceforge.plantuml" version="1.2019.0.qualifier" />
<!-- Netty -->
<plugin id="io.netty.common" version="4.1.56.qualifier" />
<plugin id="io.netty.buffer" version="4.1.56.qualifier" />
<!-- Knowm -->
<plugin id="org.knowm.xchart" version="3.6.5.qualifier" />
<!-- java-diff-utils -->
<plugin id="io.github.java-diff-utils" version="4.8.0.qualifier" />
<!-- snakeyaml -->
<plugin id="org.yaml.snakeyaml" version="1.27.0.qualifier" />
</feature>